import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Botones con distintas imágenes para abrir pantallas de documentación o iniciar el juego
 * 
 * @author Luis Guajardo Olvera
 * @author Daniel Romero Martí
 */
public class Boton extends Actor
{
    private GreenfootImage [] arreglo;
    private int imagen;
    private int contador;
    private boolean movimiento;
    
    /**
     * Constructor for objects of class Boton.
     * 
     */
    public Boton(boolean mov)
    {  
        arreglo = new GreenfootImage[2];
        for(int i=0;i<2;i++)
        {
            arreglo[i] = new GreenfootImage("boton"+i+".png");
        }
        imagen = 0;
        contador=0;
        movimiento=mov;
    }
    
    /**
     * Cambia las imágenes para simular un parpadeo al botón
     */
    public void act()
    {
        if(movimiento==true)
        {
            if(contador==7)
            {
                setImage(arreglo[imagen]);
                if(imagen==0)
                    imagen=1;
                else
                    imagen=0;
                contador=0;
            }
            contador++;
        }
    }
}
