import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Edificio que se mueve en el mundo
 * 
 * @author Luis Guajardo Olvera
 * @author Daniel Romero Martí
 */
public class Edificio extends Obstaculo
{
    /**
     * Constructo de la clase Edificio
     */
    public Edificio()
    {
        super.damage(1);
    }

    /**
     * Act - do whatever the edificio wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        super.act(super.damage());
        this.escala();
    }

    /**
     * Incrementa el tamaño del objeto
     */
    public void escala()
    {
        World mundo;
        mundo =getWorld();

        if(super.profundidad() <= 10)
        {
            GreenfootImage image;
            image=getImage();  
            image.scale(image.getWidth()+1,image.getHeight()+2);
        }

        /*if(profundidad>=10)
        mundo.setPaintOrder(Edificio.class);*/
    }

    /**
     * Mueve al objeto en el mundo
     */
    public void mueve()
    {
        if(super.aumentaTam()==10)
        { 
           int prof = super.profundidad();
           super.profundidad(prof+1);
            super.aumentaTam(0);
        }
        if(getX()<225)
            setLocation(getX()-2,getY()+1);
        else if(getX()>320)
                setLocation(getX()+2,getY()+1);
             else
                setLocation(getX(),getY()+1);
    }
}
