import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Gigante que camina por el mundo
 * 
 * @author Luis Guajardo Olvera
 * @author Daniel Romero Martí
 */
public class Gigante extends Obstaculo
{ 
    private GreenfootImage [] arreglo;
    private int it;
    private int cambiaImagen;

    public Gigante()
    {
        super.profundidad(9);
        arreglo = new GreenfootImage[2];
        for(int i=0;i<2;i++)
            arreglo[i] = new GreenfootImage("mostro"+i+".png"); 
        it=0;
        cambiaImagen=10;
        super.damage(1);
    }

    /**
     * Act - do whatever the Gigante wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    { 
        super.act(super.damage());
    }

    /**
     * Mueve al objeto en el mundo
     */
    public void mueve()
    {
        setLocation(getX()-3,getY());
        if(cambiaImagen==10)
        {  setImage(arreglo[it]);
            cambiaImagen=0;
        }
        else
        {
            if(it==0)
                it=1;
            else
                it=0;
        }
        cambiaImagen++;

    }

    /**
     * Elimina al objeto del mundo
     */
    public void desaparece()
    {
        if(getX()<0)
        {
            World mundo;
            mundo = getWorld();
            mundo.removeObject(this);
        }
    }
}
