import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Crea récords
 * 
 * @author Luis Guajardo Olvera
 * @author Daniel Romero Martí
 */
public class RecordUser 
{
   Letrero nombre;
   Letrero puntos;
   UserImage imagen;
    /**
    * Este es el contsructor de la clase RecordUser recibe como parametros:
    * @param name (es un String que contendra el nombre del usuario)
    * @param score( entero que almacena la puntuación del usuario)
    * @param img (contendra la imagen del usuario)
    */
   public RecordUser(String name, int score, GreenfootImage img)
   {
       nombre=new Letrero(name);
       String cad=""+score;
       puntos=new Letrero(cad);
       imagen= new UserImage(img);
   }
   
   /**
    * Este metodo añade al mundo los puntos el nombre y la imagen de usuario recibe como parametros:
    * @param Y (posicion en pixeles en forma vertical)
    * @param mundo (el espacio existente donde se inserta la imagen)
    */
   public void addToWorld(int Y, World mundo)
   {
       mundo.addObject(imagen,40+(imagen.getImage().getWidth()/2),Y);
       mundo.addObject(nombre,110+(nombre.getImage().getWidth()/2),Y);
       mundo.addObject(puntos,480+(puntos.getImage().getWidth()/2),Y);
   }
       
}
