import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Mundo que muestra los récords
 * 
 * @author Luis Guajardo Olvera
 * @author Daniel Romero Martí
 */
public class Records extends World
{
    
    /**
     * Constructor for objects of class Records.
     * 
     */
    public Records()
    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(600, 400, 1); 

    }
    
    /**
     * Método que muestra los récords y que regresa a la pantalla de inicio si se presiona la tecla 'Q'
     */
    public void act()
    {
        this.GameRecords();
        if(Greenfoot.isKeyDown("q"))
        {
            Greenfoot.setWorld(new Inicio());
        }
    }
    
    /**
     * Es el metodo que muestra los records y donde estaran los mejores
     * Indicará en que posicion se encuentra el usuario 
     */
    public void GameRecords()
    {
        // AQUI VA EL CODIGO DE LOS RECORDS
        java.util.List records=UserInfo.getTop(7);
        RecordUser usuario;
        UserInfo info;
        if(records!=null)
        {
            for(int i=0; i<records.size(); i++)
            {
                info=(UserInfo)records.get(i);
                usuario=new RecordUser((i+1)+".- "+info.getUserName(),info.getScore(),info.getUserImage());
                usuario.addToWorld(100+50*i,this);
            }
            Letrero let;
            if(UserInfo.getMyInfo().getRank()>0)
            {
                let=new Letrero("Your Position:"+UserInfo.getMyInfo().getRank());
            }
            else
            {
                let=new Letrero("You aren't in the Records List");
            }
            this.addObject(let,150+(let.getImage().getWidth()/2),350);
        }
        else
        {
            Letrero letr=new Letrero("Whitout Scores...");
            this.addObject(letr,350,250);
        }

        
    }
}
